Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Jun 2023 10:18:50 -0400

>> > This would make some sense, but I'm not sure I'm doing it correctly.  If
>> > I replace the above line with
>> >
>> >    (overlay-put ov 'priority `(nil . i))
>>
>> Did you forget the comma?
>>
>>     (overlay-put ov 'priority `(nil . ,i))
>
> Hehe, no, not in real life, only in the examples in my email, which
> are all messed up.  Let me try again...
>
> Yep, SECONDARY doesn't seem to do anything
>
> <no form>   => correctly sorted overlays
> (overlay-put ov 'priority i)  => correctly sorted overlays
> (overlay-put ov 'priority (- 10 i) => reverse sorted overlays
> (overlay-put ov 'priority `(nil . ,i)  => correctly sorted overlays
> (overlay-put ov 'priority `(nil . ,(- 10 i)  => correctly sorted overlays (!)

Hmm... do you have a simple recipe that I could try?
Do those overlays all really share the same start and end?
IOW, can you check/show

    (mapcar (lambda (ol)
              `(,(overlay-start ol)
                ,(overlay-end ol)
                . ,(overlay-get ol 'priority)))
            (overlays-at <POS> t))

?

        Stefan